# Profit and loss

`GET /accounting/reports/profit-and-loss` · Rivier · accounting

Profit and loss.

- Scope: accounting:read
- Mcp: rivier_accounting_profit_and_loss
- Graphql: Query.accountingProfitAndLoss
- Sdk: accounting.report.profitAndLoss
- Cli: accounting report profit and loss

## Parameters

- `from` (query), string
- `to` (query), string
- `asOf` (query), string
- `by` (query), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/accounting/reports/profit-and-loss' \
  -H 'Authorization: Bearer $KEY'
```
